{: test that a compilation error occurs when case constant ranges overlap }

program e1023( output );

var
   e :  integer;

begin { e1023 }

   e := 42;
   case e of
     55..60: writeln(' OK');
     50..55: writeln(' !!! illegal range');
     45..49: writeln(' OK');
     60..65: writeln(' !!! illegal range');
     66..70: writeln(' OK');
   end; {case}
   writeln( 'case range error not detected' );
end. { e1023 }

